/** @component slider-pointer */
import { ElementRef, EventEmitter } from '@angular/core';
export interface SliderPointerChange {
    from?: number;
    to?: number;
    direction: number;
    isKeyBoard: boolean;
}
export declare class SliderPointerComponent {
    private elementRef;
    private _previousPosition;
    private _document;
    /** @option Set Slider Pointer's position | 0 */
    position: number;
    /** Event emitted when user moves the Slider Pointer */
    readonly move: EventEmitter<SliderPointerChange>;
    readonly left: number;
    constructor(elementRef: ElementRef, _document: any);
    getDirections(currentPos: number): 1 | -1;
    onKeydown(event: KeyboardEvent): void;
    onMousedown(event: MouseEvent): void;
    onMousemove: (event: MouseEvent) => void;
    onMouseup: (_: MouseEvent) => void;
    onTouchstart(event: TouchEvent): void;
    onTouchmove(event: TouchEvent): void;
}
